## -*- coding: utf-8; -*-
<%inherit file="/master/form.mako" />

<%def name="title()">${index_title} &raquo; ${instance_title}</%def>

<%def name="content_title()">${instance_title}</%def>

<%def name="page_content()">

  ## render main form
  ${parent.page_content()}

  ## render row grid
  % if master.has_rows:
      <br />
      <h4 class="block is-size-4">${master.get_rows_title() or ''}</h4>
      ${rows_grid.render_vue_tag()}
  % endif

</%def>

<%def name="render_vue_templates()">
  ${parent.render_vue_templates()}
  % if master.has_rows:
      ${self.render_vue_template_rows_grid()}
  % endif
</%def>

<%def name="render_vue_template_rows_grid()">
  ${rows_grid.render_vue_template()}
</%def>

<%def name="make_vue_components()">
  ${parent.make_vue_components()}
  % if master.has_rows:
      ${rows_grid.render_vue_finalize()}
  % endif
</%def>
